SolrResponse::setParseMode
SolrQueryResponse
SolrResponse
PHP Manual

# SolrResponse::success

(PECL solr >= 0.9.2)

SolrResponse::success — Was the request a success

### Description

public bool SolrResponse::success ( void )

Used to check if the request to the server was successful.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if it was successful and `FALSE` if it was not.

SolrResponse::setParseMode
SolrQueryResponse
SolrResponse
PHP Manual